Description
===========

This role provides base methods for each linux system role.

Requirement
===========

Variables
---------

* linux_installer_home_mirror
  * description:
    * This option contains the URL of the home mirror servers of the installer files.
    * The servers provides the basic images for an installer.
  * default: http://tinycorelinux.net

* linux_installer_local_mirror
  * description:
    * This option contains the URL of the local mirror servers of the installer files.
    * The servers provides the basic images for an installer.
  * default: {{ linux_installer_home_mirror }}

* linux_build_installer_root
  * description:
    * This option contains the path to the temporary build path for a linux installer.
    * This value is generated automatically.

* linux_installer_version
  * description:
    * This options specifies the version of the installer.
  * default: 10.x
 
* linux_installer_distribution
  * description:
    * This option specifies the name of a linux distribution for the installer.
  * default: "" 

Processes
=========

buildinstaller
--------------

finaliseinstaller
-----------------

main
----

1. NOP

configure
---------

1. installs locale.gen file
2. activate specified locale

Features
========

This role provides to create a small linux installer image. It bases on Tiny Core Linux.
